Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.handler.codec.rtsp
Class RtspResponseEncoder

    java.lang.Object
      org.jboss.netty.handler.codec.oneone.OneToOneEncoder
          org.jboss.netty.handler.codec.http.HttpMessageEncoder
              org.jboss.netty.handler.codec.rtsp.RtspMessageEncoder
                  org.jboss.netty.handler.codec.rtsp.RtspResponseEncoder

All Implemented Interfaces:
  ChannelDownstreamHandler, ChannelHandler

    public class RtspResponseEncoder

extends RtspMessageEncoder

Encodes an RTSP response represented in `HttpResponse` into a `ChannelBuffer`.

Version:
  $Rev: 2117 $, $Date: 2010-02-01 17:28:17 +0900 (Mon, 01 Feb 2010) $
Author:
  The Netty Project, Amit Bhayani, Trustin Lee

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler
`ChannelHandler.Sharable`

Constructor Summary
`RtspResponseEncoder()`

Method Summary
`protected void` | `encodeInitialLine(ChannelBuffer buf, HttpMessage message)`

Methods inherited from class org.jboss.netty.handler.codec.rtsp.RtspMessageEncoder
`encode`

Methods inherited from class org.jboss.netty.handler.codec.oneone.OneToOneEncoder
`handleDownstream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RtspResponseEncoder

    public RtspResponseEncoder()

Method Detail

### encodeInitialLine

    protected void encodeInitialLine(ChannelBuffer buf,
                                     HttpMessage message)
                              throws Exception

  Specified by:
    `encodeInitialLine` in class `HttpMessageEncoder`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.